Home | All Classes | Grouped Classes | Index | Search

# CL_Rect::get_rot_bounds

Returns another CL_Rect containing a rotated version of this one.

    	CL_Rect get_rot_bounds(
    		const CL_Point& hotspot, float angle);

    	CL_Rect get_rot_bounds(
    		CL_Origin origin, int x, int y, float angle);

Parameters:

hotspot
  Point to rotate around.
origin
  Determines the hotspot point within the rectangle
x, y
  Offsets applied negatively to the hotspot point
angle
  Angle to rotate in degrees.

See also:

CL_Rect | CL_Point

Questions or comments, write to the ClanLib mailing list.